Daha çox

JavaScript üçün ArcGIS API üçün brauzer dəstəyi?

JavaScript üçün ArcGIS API üçün brauzer dəstəyi?


Hər kəs mənə ESRI ArcGIS JavaScript API v2.4 -də brauzer versiyası dəstəyi haqqında məlumat və ya yaxşı bir göstərici verə bilərmi?

Hər bir API versiyasının "Yenilikləri" ndə xüsusi brauzerlərin dəstəyindəki dəyişikliklərdən başqa sənədlərində çox şey tapa bilmirəm.

Gördüm ki, API bəzi müştəri tərəfində göstərmə üçün SVG-dən istifadə edir, bu da brauzerlərarası dəstəyə təsir etməlidir. Bunun xaricində, bütün əsas brauzerlərin köhnə versiyaları üçün bəzi xüsusiyyətlərin olduğunu düşünürəm.

Çox güman ki, qarşıdakı layihəmdə masaüstü əsaslı brauzerlərin son versiyalarını hədəf alacağam, ancaq daha geniş platforma dəstəyi üçün Silverlight üzərindən JavaScript ilə işlədiyimiz üçün hər hansı bir problemi əvvəlcədən bilmək istərdim.


JS API komandasında işləyirəm və vicdanla bunu sənədləşdirmək üçün daha yaxşı bir iş görə bilərik. Deyilənə görə, istifadə etdiyimiz dojo versiyasının dəstəklədiyi brauzerləri dəstəkləyirik. ArcGIS JS API -nin ən son versiyaları (2.3 və 2.4) dojo 1.6.1 istifadə edir. Dojo 1.6 buraxılış qeydlərində dəstəklənən brauzerlərin siyahısı var: http://docs.dojocampus.org/releasenotes/1.6

Yeganə xəbərdarlıq, bu günlərdə IE6 -nı dəstəkləmək üçün əlimizdən gələni etməməyimizdir.

Veb API-lərinin 2.0 versiyası üçün dəstəklənən brauzerlərin siyahısı da var: http://resources.arcgis.com/content/webapis/2.0/system-requirements Bunun yeganə böyük yeniləməsi v2.3-də IE9-u dəstəkləməyimizdir. və kənarda.

SVG ilə əlaqədar olaraq, bu, dojodan istifadə etməyimizin böyük səbəblərindən biridir. Dojo -nun gfx modulu brauzer fərqlərini özündə cəmləşdirir, buna görə də onu dəstəkləyən brauzerlərdə SVG -dən istifadə edə bilərik, lakin lazım olduqda alternativ texnologiyalara (IE <9 üçün VML; Android üçün Canvas) qayıda bilərik.